
Name:           python-vecrec
Version:        0.3.1
Release:    1%{?dist}
Summary:        2D vector and rectangle library

License:        MIT
URL:            https://github.com/kxgames/vecrec
Source0:         %{pypi_source vecrec}

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(pytest)

%global common_description %{expand:
This package provides 2D vector and rectangle classes. These classes were
written to be used in games, so they have some methods that conveniently tie
into pyglet and pygame, but for the most part they are quite general and could
be used for almost anything.}
%description %{common_description}


%package -n python3-vecrec
Summary:        %{summary}


%description -n python3-vecrec %{common_description}


%prep
%autosetup -n vecrec-%{version}

rm -rvf tests/htmlcov
sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml
sed -r -i \
    -e 's/[[:blank:]]--cov[^=[:blank:]]*[= ][^[:blank:]]+//g' \
    -e 's/--no-cov[^[:blank:]]*//g' tests/pytest.ini

find vecrec -type f -exec \
    gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files vecrec


%check
%pytest tests


%files -n python3-vecrec -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-1
- initial build
